Bug 142898 - system-config-printer corrupts configurations made by cups web based administration tool without warning
Summary: system-config-printer corrupts configurations made by cups web based administ...
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-printer   
(Show other bugs)
Version: 3
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-12-14 22:38 UTC by David Kaplan
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version: 0.6.120-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-17 18:00:37 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description David Kaplan 2004-12-14 22:38:22 UTC
Description of problem:
Create some printers using the cups web based administration tool. 
Then run system-config-printer.  It will convert some or all of the
printers to raw queues and break the old configuration without any
warning.  system-config-printer should at the very least warn before
doing this.  Better yet would be to make the two systems compatible so
it doesn't matter how you create printers - command line, web base,
system-config-printer tui or gui.

Version-Release number of selected component (if applicable):
system-config-printer-0.6.116-1

Comment 1 Tim Waugh 2004-12-15 13:22:39 UTC
Fixed in CVS.  It will no longer attempt to import CUPS queues.


Note You need to log in before you can comment on or make changes to this bug.